#!/bin/bash

##
## This script installs stuff
##     to set up a linux server
##     suitable for newbies.
##
## Before you go, check read around my blog!
##
##     https://softwareshinobi.com
##
##

set -e;

set -x;

##

cd shinobi

bash provision.bash

cd ..

##

cat /etc/issue;

echo "Shinobi Academy 24.04" > /etc/issue;

cat /etc/issue;

##

apt update;

##
## install bashrc systemwide
##

##cp bashrc /usr/local/bin/bashrc

##ls -l /tmp/.bashrc

##cat /tmp/.bashrc;

##source /tmp/.bashrc;

##

apt install -y vim nano;

apt install -y hollywood;

apt install -y cmatrix cmatrix-xfont;

##
## change MOTD
##

## echo "hey?" > /etc/motd

##
## start ssh server
##

apt install -y openssh-server;

apt install -y sudo;

service ssh start;

##
## finish
##

echo "fin."
